"use strict";
exports.__esModule = true;
var RenderOptions_1 = require("../RenderOptions");
var CommonMarkRenderer = (function () {
    function CommonMarkRenderer(node, options) {
        this.node = node;
        this.options = options || new RenderOptions_1["default"]();
    }
    CommonMarkRenderer.prototype.renderNode = function (key) {
        var props = this.getDefaultProps(key);
        return this.renderNodeWithProps(props);
    };
    CommonMarkRenderer.prototype.getDefaultProps = function (key) {
        var className = this.options.className;
        return { className: className, key: key };
    };
    return CommonMarkRenderer;
}());
exports["default"] = CommonMarkRenderer;
