import { Node } from 'commonmark';
import RenderOptions from '../RenderOptions';
import CommonMarkRenderer from './CommonMarkRenderer';
export declare type RendererFactory = new (node: Node, options: RenderOptions | undefined) => CommonMarkRenderer;
export default class CustomRendererDict {
    block_quote?: RendererFactory;
    code?: RendererFactory;
    code_block?: RendererFactory;
    document?: RendererFactory;
    emph?: RendererFactory;
    heading?: RendererFactory;
    html?: RendererFactory;
    html_block?: RendererFactory;
    image?: RendererFactory;
    item?: RendererFactory;
    link?: RendererFactory;
    list?: RendererFactory;
    paragraph?: RendererFactory;
    softbreak?: RendererFactory;
    strong?: RendererFactory;
    text?: RendererFactory;
    hardbreak?: RendererFactory;
    thematic_break?: RendererFactory;
}
