"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
exports.__esModule = true;
var react_1 = require("react");
var CommonMarkRenderer_1 = require("./CommonMarkRenderer");
var HtmlBlockRenderer = (function (_super) {
    __extends(HtmlBlockRenderer, _super);
    function HtmlBlockRenderer(node, options) {
        return _super.call(this, node, options) || this;
    }
    HtmlBlockRenderer.prototype.getDefaultProps = function (key) {
        var dangerouslySetInnerHTML = { __html: this.node.literal };
        return __assign({}, _super.prototype.getDefaultProps.call(this, key), { dangerouslySetInnerHTML: dangerouslySetInnerHTML });
    };
    HtmlBlockRenderer.prototype.renderNodeWithProps = function (props) {
        return react_1.createElement('div', props);
    };
    return HtmlBlockRenderer;
}(CommonMarkRenderer_1["default"]));
exports["default"] = HtmlBlockRenderer;
