/// <reference types="react" />
import { Node } from 'commonmark';
import { ReactElement } from 'react';
import RenderOptions from '../RenderOptions';
import CommonMarkRenderer from './CommonMarkRenderer';
export default class ImageRenderer extends CommonMarkRenderer {
    constructor(node: Node, options: RenderOptions | undefined);
    protected getDefaultProps(key: string): object;
    protected renderNodeWithProps(props: object): ReactElement<any>;
    private clearAltTextNode(node);
    private findAltText();
}
