"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var react_1 = require("react");
var CommonMarkRenderer_1 = require("./CommonMarkRenderer");
var ParagraphRenderer = (function (_super) {
    __extends(ParagraphRenderer, _super);
    function ParagraphRenderer(node, options) {
        return _super.call(this, node, options) || this;
    }
    ParagraphRenderer.prototype.renderNodeWithProps = function (props) {
        if (this.isTightListChild())
            // Don't create <p> tags in tight lists.
            // paragraph children should be append to the <li> element instead
            return null;
        else
            return react_1.createElement('p', props, []);
    };
    ParagraphRenderer.prototype.isTightListChild = function () {
        var parent = this.node.parent;
        return (parent && parent.type === 'item' && parent.listTight) || false;
    };
    return ParagraphRenderer;
}(CommonMarkRenderer_1["default"]));
exports["default"] = ParagraphRenderer;
